Bug 129102 - Oops in free_uid
Oops in free_uid
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-03 21:48 EDT by todd underwood
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:33:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description todd underwood 2004-08-03 21:48:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
repeated oopses:

Aug  4 00:52:17 bosphor kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000004
Aug  4 00:52:17 bosphor kernel:  printing eip:
Aug  4 00:52:17 bosphor kernel: c012f1d9
Aug  4 00:52:17 bosphor kernel: *pde = 0a873001
Aug  4 00:52:17 bosphor kernel: *pte = 3316a067
Aug  4 00:52:17 bosphor kernel: Oops: 0002
Aug  4 00:52:17 bosphor kernel: nfsd parport_pc lp parport autofs nfs
lockd sunrpc e100 iptable_filter ip_tables e1000 floppy sg sr_mod
microcode ide-scsi ide-cd cdrom keybdev mousedev hid i
Aug  4 00:52:17 bosphor kernel: CPU:    1
Aug  4 00:52:17 bosphor kernel: EIP:    0060:[<c012f1d9>]    Not tainted
Aug  4 00:52:17 bosphor kernel: EFLAGS: 00010202
Aug  4 00:52:17 bosphor kernel:
Aug  4 00:52:17 bosphor kernel: EIP is at free_uid [kernel] 0x39
(2.4.22-1.2197.nptlsmp)
Aug  4 00:52:17 bosphor kernel: eax: 00000000   ebx: f5a0df80   ecx:
f5a0df8c   edx: 00000000
Aug  4 00:52:17 bosphor kernel: esi: dd5a8000   edi: 00000001   ebp:
00000000   esp: ca875f18
Aug  4 00:52:17 bosphor kernel: ds: 0068   es: 0068   ss: 0068
Aug  4 00:52:17 bosphor kernel: Process bash (pid: 7335,
stackpage=ca875000)
Aug  4 00:52:17 bosphor kernel: Stack: f5a0df80 c03756ec ca874000
c01216db f5a0df80 dd5a8000 00007ff3 bfeaa308
Aug  4 00:52:17 bosphor kernel:        c0128a34 dd5a8000 c03ff9a0
c03ff980 00000000 00000001 dd5a80d0 dd5a8000
Aug  4 00:52:17 bosphor kernel:        ca874000 ca8740c8 c0128e81
dd5a8000 bfeaa308 00000000 c01272e9 00000000
Aug  4 00:52:17 bosphor kernel: Call Trace:   [<c01216db>]
__put_task_struct [kernel] 0x2b (0xca875f24)
Aug  4 00:52:17 bosphor kernel: [<c0128a34>] wait_task_zombie [kernel]
0x144 (0xca875f38)
Aug  4 00:52:17 bosphor kernel: [<c0128e81>] sys_wait4 [kernel] 0x241
(0xca875f60)
Aug  4 00:52:17 bosphor kernel: [<c01272e9>] session_of_pgrp [kernel]
0x29 (0xca875f70)
Aug  4 00:52:17 bosphor kernel: [<c0128f67>] sys_waitpid [kernel] 0x27
(0xca875fac)
Aug  4 00:52:17 bosphor kernel: [<c0109b27>] system_call [kernel] 0x33
(0xca875fc0)
Aug  4 00:52:17 bosphor kernel:
Aug  4 00:52:17 bosphor kernel:
Aug  4 00:52:17 bosphor kernel: Code: 89 50 04 89 02 c7 41 04 00 00 00
00 c7 43 0c 00 00 00 00 a1


Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2197.nptl

How reproducible:
Sometimes

Steps to Reproduce:
1. boot kernel on machine
2. run a bunch of programs
3. wait
    

Actual Results:  the oops above

Expected Results:  continued correct functioning of the kernel.

Additional info:
Comment 1 David Lawrence 2004-09-29 16:33:40 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.